%global _realname consent_o_matic
%global _extid gdpr@cavi.au.dk
%global _extensionsdir %{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

Summary: Automatic handling of GDPR consent forms extension for Firefox
Name: firefox-extension-%{_realname}
Version: 1.1.5
Release: 1%{?dist}
License: MIT
Group: Applications/Internet
URL: https://addons.mozilla.org/firefox/addon/consent-o-matic/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
# Find the real .xpi download link in the URL source code
Source0: %{_realname}-%{version}.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: firefox
BuildArch: noarch
AutoReqProv: No

%description
Cookie pop-ups are designed to be confusing and make you 'agree' to be
tracked. This add-on automatically answers consent pop-ups for you, so
you can't be manipulated. Set your preferences once, and let the
technology do the rest!

This add-on is built and maintained by workers at Aarhus University in
Denmark. We are privacy researchers that got tired of seeing how
companies violate the EU's General Data Protection Regulation (GDPR).
Because the organisations that enforce the GDPR do not have enough
resources, we built this add-on to help them out.

We looked at 680 pop-ups and combined their data processing purposes
into 5 categories that you can toggle on or off. Sometimes our categories
don't perfectly match those on the website, so then we will choose the
more privacy preserving option.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_extensionsdir}
%{__install} -m 0644 -p %{SOURCE0} %{buildroot}%{_extensionsdir}/%{_extid}.xpi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_extensionsdir}/%{_extid}.xpi

%changelog
* Sat Jun 28 2025 Simon Matter <simon.matter@invoca.ch> 1.1.5-1
- upgrade to 1.1.5

* Thu Oct 10 2024 Simon Matter <simon.matter@invoca.ch> 1.1.3-1
- upgrade to 1.1.3

* Sun Aug 11 2024 Simon Matter <simon.matter@invoca.ch> 1.1.0-1
- initial build
